<?php
// $id$

/**
 * Force refresh of theme registry.
 * DEVELOPMENT USE ONLY - COMMENT OUT FOR PRODUCTION
 */
// drupal_rebuild_theme_registry();

/**
 * Initialize theme settings
 */
if (is_null(theme_get_setting('colourise_page_class'))) {
  global $theme_key;
  // Save default theme settings
  $defaults = array(
    'colourise_page_class'     => 'wide',
    'colourise_custom'         => 0,
    'colourise_breadcrumb'     => 0,
    'colourise_iepngfix'       => 0,
  );

  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge(theme_get_settings($theme_key), $defaults)
  );
  // Force refresh of Drupal internals
  theme_get_setting('', TRUE);
}

function phptemplate_preprocess(&$vars, $hook) {
  global $theme;

  // Set Page Class
  $vars['page_class'] = theme_get_setting('colourise_page_class');

  // Hide breadcrumb on all pages
  if (theme_get_setting('colourise_breadcrumb') == 0) {
    $vars['breadcrumb'] = '';  
  }

  $vars['closure'] .= '
  <p id="theme-credit">Original Design is <a href="http://www.styleshout.com/templates/preview/Colourise1-0/index.html">StyleShout\'s  Colourise</a>. | Ported to Drupal by <a href="http://webzer.net/drupal/theme/colourise">Webzer.net</a>.</p>
  ';

  // Theme primary and secondary links.
  $vars['primary_menu'] = theme('links', $vars['primary_links'], array('class' => 'links primary-menu'));
  $vars['secondary_menu'] = theme('links', $vars['secondary_links'], array('class' => 'links secondary-menu'));

  // Set Accessibility nav bar
  if ($vars['primary_menu'] != '') {
  $vars['nav_access'] = '
    <ul id="nav-access" class="hidden">
      <li><a href="#primary-menu" accesskey="N" title="Skip to Primary Menu">Skip to Primary Links</a></li>
      <li><a href="#main-content" accesskey="M" title="Skip to Main Content">Skip to Main Content</a></li>
    </ul>
  ';
  }
  else {
  $vars['nav_access'] = '
    <ul id="nav-access" class="hidden">
      <li><a href="#main-content" accesskey="M" title="Skip to Main Content">Skip to Main Content</a></li>
    </ul>
  ';
  }

}

/**
 *  Set Custom Stylesheet
 */
if (theme_get_setting('colourise_custom')) {
  drupal_add_css(drupal_get_path('theme', 'colourise') .'/css/'.'custom.css', 'theme');
}
/**
 *  Add IE PNG Transparent fix
 */
if (theme_get_setting('colourise_iepngfix')) {
  drupal_add_js(drupal_get_path('theme', 'colourise') .'/js/jquery.pngFix.js', 'theme');
}